%define realname gnome-netstatus
%define appletsdir %_libdir/%realname
%define ver_major 2.28

Name: gnome-applets-extra-netstatus
Version: %ver_major.2
Release: alt1

Summary: Netstatus applet for GNOME panel
License: GPLv2+
Group: Graphical desktop/GNOME

Url: http://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus
Source: %url/%ver_major/%realname-%version.tar.bz2

%define panel_ver 2.14.2
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
Requires: gnome-panel >= %panel_ver

BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildRequires: intltool gnome-doc-utils librarian

%description
This package contains an applet which displays the status of a network device
on GNOME panel.

%prep
%setup -n %realname-%version

%build
%configure --libexecdir=%appletsdir \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-static

%make_build

%install
%make_install install DESTDIR=%buildroot

# re-do the symlinks (QnD hack, but it works)
for doc_lang in C de es fr it ja ko sv uk zh_CN zh_HK zh_TW; do
    mkdir -p %buildroot%_datadir/gnome/help/gnome-netstatus/${doc_lang}/figures
    pushd %buildroot%_liconsdir
    for icon in *.png; do
      ln -sf %_liconsdir/${icon} %buildroot%_datadir/gnome/help/gnome-netstatus/${doc_lang}/figures/${icon}
    done
    popd
done

%find_lang --with-gnome %realname

%post
%gconf2_install netstatus

%files -f %realname.lang
%appletsdir/
%_libdir/bonobo/*/*
%_datadir/%realname
%_datadir/gnome-2.0/ui/*
%_liconsdir/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Tue Mar 29 2011 Victor Forsiuk <force@altlinux.org> 2.28.2-alt1
- 2.28.2

* Wed Apr 07 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Wed Dec 16 2009 Victor Forsyuk <force@altlinux.org> 2.28.0-alt1
- 2.28.0

* Fri Nov 07 2008 Victor Forsyuk <force@altlinux.org> 2.12.2-alt1
- 2.12.2

* Mon Apr 07 2008 Victor Forsyuk <force@altlinux.org> 2.12.1-alt5
- Fix rpm packaging issue.

* Tue Nov 27 2007 Victor Forsyuk <force@altlinux.org> 2.12.1-alt4
- Update build requirements to fix FTBFS in current Sisyphus.

* Wed Jul 04 2007 Victor Forsyuk <force@altlinux.org> 2.12.1-alt3
- Update build requirements (libSM-devel now have to be listed explicitly).

* Thu Apr 05 2007 Victor Forsyuk <force@altlinux.org> 2.12.1-alt2
- Fix ALT#11305 (icon directories should not be owned by this package :).

* Thu Mar 22 2007 Victor Forsyuk <force@altlinux.org> 2.12.1-alt1
- 2.12.1

* Fri Nov 03 2006 Victor Forsyuk <force@altlinux.org> 2.12.0-alt1
- 2.12.0
- Update buildreqs.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Jul 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2.1-alt1
- 2.6.2.1

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.16-alt1
- 0.16

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.14-alt1
- 0.14

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.13-alt1
- 0.13

* Sat Dec 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12-alt1
- 0.12

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11-alt3
- rebuild with new libgtop (2.0.4)

* Sat Jul 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11-alt2
- russian summary, description, translation by slava.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11-alt1
- 0.11

* Sun Jun 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10-alt1
- First build for Sisyphus.
